Bric::Biz::Asset::Business::Media::Image(3p)

NAME
Bric::Biz::Asset::Business::Media::Image - the media class that represents static images

VERSION
$LastChangedRevision$

DATE
$Data$

SYNOPSIS
 # Creation of new Image objects
 $image = Bric::Biz::Asset::Business::Media::Image->new( $init )
 $image = Bric::Biz::Asset::Business::Media::Image->lookup( { id => $id })
 ($images || @images) = Bric::Biz::Asset::Business::Media::Image->list( $param)

 # list of ids
 ($id_list || @ids) = Bric::Biz::Asset::Business::Media::Image->list_ids($param)

DESCRIPTION
The Subclass of Media that pretains to Images

INTERFACE

  Constructors

$image = Bric::Biz::Asset::Business::Media::Image->new($init)
    This will create a new image object.

    Supported Keys:

    *   Put Itmes here

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    NONE

$media = Bric::Biz::Asset::Business::Media::Image->lookup( { id => $id })
    This will return the matched looked up object

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    NONE

($imgs || @imgs) = Bric::Biz::Asset::Business::Media::Image->list($param)
    Returns a list of image objects that match the params passed in

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    NONE

  Destructors

$self->DESTROY
    dummy method to not wast the time of AUTHLOAD

  Public Class Methods

(@ids || $ids) = Bric::Biz::Asset::Business::Media::Image->list_ids($param)
    Returns a list of ids that match the particular params

    Supported Keys:

    *   Put Keys Here

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    NONE

$class_id = Bric::Biz::Asset::Business::Media::Image->get_class_id()
    Returns the class id of the Image class

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    NONE

my $key_name = Bric::Biz::Asset::Business::Media::Image->key_name()
    Returns the key name of this class.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

my_meths()
    Data Dictionary for introspection of the object

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    NONE

  Public Instance Methods

my $thumbnail_uri = $image->thumbnail_uri
    If the image document has an associated thumbnail image, this method returns its local URI.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

my $created_ok = $image->create_thumbnail
    Creates a thumbnail image from the supplied image object. Returns 1 on successful completion or error string if it fails.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

($imgs || @imgs) = $image->upload_file
    Overrides the "upload_file()" method in the parent class and then makes a call to the "create_thumbnail()" method.

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    NONE

PRIVATE

  Private Class Methods
NONE

  Private Instance Methods

_thumb_location
      my $thumb_location = $self->_thumb_location;

    Returns the location of a thumnail image file. This method simply modifies the value returned by "get_location" to generate the name of the image file. Returns "undef" if the image has no location.

_thumb_file
      my $thumb_file = $self->_thumb_file;

    Returns the absolute path to the thumnail image file for this image.

NOTES
NONE

AUTHOR
"Michael Soderstrom" <miraso@pacbell.net>

SEE ALSO
perl , Bric, Bric::Biz::Asset, Bric::Biz::Asset::Business, Bric::Biz::Asset::Business::Media